Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.heuristic.selector.move.factory
Class MoveIteratorFactoryConfig

    java.lang.Object
      org.drools.planner.config.heuristic.selector.SelectorConfig
          org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
              org.drools.planner.config.heuristic.selector.move.factory.MoveIteratorFactoryConfig

    public class MoveIteratorFactoryConfig

extends MoveSelectorConfig

Field Summary
`protected Class<? extends MoveIteratorFactory>` | `moveIteratorFactoryClass`

Fields inherited from class org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
`cacheType, moveFilterClassList, moveProbabilityWeightFactoryClass, selectionOrder`

Constructor Summary
`MoveIteratorFactoryConfig()`

Method Summary
`MoveSelector` | `buildBaseMoveSelector(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, SelectionCacheType minimumCacheType, SelectionOrder resolvedSelectionOrder)`
`Class<? extends MoveIteratorFactory>` | `getMoveIteratorFactoryClass()`
`void` | `inherit(MoveIteratorFactoryConfig inheritedConfig)`
`void` | `setMoveIteratorFactoryClass(Class<? extends MoveIteratorFactory> moveIteratorFactoryClass)`
`String` | `toString()`

Methods inherited from class org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
`buildMoveSelector, getCacheType, getFixedProbabilityWeight, getMoveFilterClassList, getMoveProbabilityWeightFactoryClass, getSelectionOrder, inherit, setCacheType, setFixedProbabilityWeight, setMoveFilterClassList, setMoveProbabilityWeightFactoryClass, setSelectionOrder`

Methods inherited from class org.drools.planner.config.heuristic.selector.SelectorConfig
`inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### moveIteratorFactoryClass

    protected Class<? extends MoveIteratorFactory> moveIteratorFactoryClass

Constructor Detail

### MoveIteratorFactoryConfig

    public MoveIteratorFactoryConfig()

Method Detail

### getMoveIteratorFactoryClass

    public Class<? extends MoveIteratorFactory> getMoveIteratorFactoryClass()

### setMoveIteratorFactoryClass

    public void setMoveIteratorFactoryClass(Class<? extends MoveIteratorFactory> moveIteratorFactoryClass)

### buildBaseMoveSelector

    public MoveSelector buildBaseMoveSelector(EnvironmentMode environmentMode,
                                              SolutionDescriptor solutionDescriptor,
                                              SelectionCacheType minimumCacheType,
                                              SelectionOrder resolvedSelectionOrder)

  Specified by:
    `buildBaseMoveSelector` in class `MoveSelectorConfig`
  Parameters:
    `environmentMode` - never null
    `solutionDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `resolvedSelectionOrder` - never null
  Returns:
    never null

### inherit

    public void inherit(MoveIteratorFactoryConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.